## ros-jazzy-ur-robot-driver 2.4.5

=== debian/changelog ===
ros-jazzy-ur-robot-driver (2.4.5-1bookworm) bookworm; urgency=high

  * Remove dependency to docker.io (#985 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/985>)
  * Move starting the robot_state_publisher to an own launch file (#977 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/977>)
    Co-authored-by: Vincenzo Di Pentima <mailto:DiPentima@fzi.de>
  * Update installation instructions for source build (#967 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/967>)
  * Fix multi-line strings in DeclareLaunchArgument (#948 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/948>)
  * Contributors: Christoph Fröhlich, Felix Exner (fexner), Matthijs van der Burgh

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 May 2024 22:00:00 -0000

ros-jazzy-ur-robot-driver (2.4.4-1bookworm) bookworm; urgency=high

  * Use ros2 control node from controller_manager and description topic (#939 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/939>)
  * Move communication setup to on_configure instead of on_activate (#732 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/732>)
  * [URDF] Fix initial value of speed scaling factor syntax (#920 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/920>)
  * Reduce number of controller_spawners to 3 (#919 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/919>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 03 Apr 2024 22:00:00 -0000

ros-jazzy-ur-robot-driver (2.4.3-1bookworm) bookworm; urgency=high

  * Add UR30 support (#899 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/899>)
  * Add control description and ros2_control tag to driver. (#877 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/877>)
  * Contributors: Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Feb 2024 23:00:00 -0000

ros-jazzy-ur-robot-driver (2.4.2-1bookworm) bookworm; urgency=high

  * [README] Move installation instructions to subpage (#870 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/870>)
  * Add backward_ros to driver (#872 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/872>)
  * Simplify tests (#849 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/849>)
  * Port configuration  (#835 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/835>)
    Added possibility to change the reverse_port, script_sender_port and trajectory_port
  * [README] Update link to MoveIt! documentation
  * Do not start urscipt_interface when using mock hardware
  * Contributors: Felix Durchdewald, Felix Exner, RobertWilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 22 Nov 2023 23:00:00 -0000

ros-jazzy-ur-robot-driver (2.4.1-1bookworm) bookworm; urgency=high

  * Added a test that sjtc correctly aborts on violation of constraints (#810 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/810>)
  * Added support for UR20 (#797 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/797>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 20 Sep 2023 22:00:00 -0000

ros-jazzy-ur-robot-driver (2.4.0-1bookworm) bookworm; urgency=high

  * Start ursim from lib (#733 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/733>)
    * Forward start_ursim.sh to the one from the client library
    * Update docs and tests to start ursim from the ur_client_library script
  * Update velocity-control on feature list (#573 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/573>)
    ros2_controllers jtc does support velocity control by now, so we should not state it doesn't.
  * Introduced tf_prefix into log handler (#713 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/713>)
    * Introduced tf_prefix into log handler
    * added default argument to prefix
    ---------
    Co-authored-by: Lennart Nachtigall <mailto:firesurfer@firesurfer.de>
    Co-authored-by: Felix Exner <mailto:exner@fzi.de>
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * Run robot driver test also with tf_prefix (#729 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/729>)
    * Run robot driver test also with tf_prefix
    * Use tf_prefix substitution in controllers config file
    * Set default value of tf_prefix in launchfile to empty instead of '""'
    ---------
    Co-authored-by: Robert Wilbrandt <mailto:wilbrandt@fzi.de>
  * Use mock_hardware and mock_sensor_commands instead of fake (#739 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/739>)
    * Use mock_hardware and mock_sensor_commands instead of fake
    This has been deprecated a while back and was never adapted.
    * Update documentation to mock_hardware
  * Urscript interface (#721 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/721>)
    * Add a urscript interface node
    * Add urscript_interface to standard launchfile
    * Added documentation for urscript_interface
    * Add a notice about incorrect script code
    * Add test for urscript interface
    * Move tests to one single tests
    This should avoid that different tests run in parallel
    * Wait for IO controller before checking IOs
    * Write an initial textmessage when connecting the urscript_interface
    * Wait for controller_manager services longer
    * Make sure we have a clean robot state without any program running once we enter our test
    similar to how we did it on the robot_driver test
    * Remove unneeded Destructor definition
  * Use SCHED_FIFO for controller_manager's main thread (#719 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/719>)

