## ros-jazzy-ur-robot-driver 2.4.10

=== debian/changelog ===
ros-jazzy-ur-robot-driver (2.4.10-1bookworm) bookworm; urgency=high

  * Fix for forward_velocity_controller test (#1076 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1076>)
  * Update maintainers team (#1088 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1088>)
  * Contributors: Vincenzo Di Pentima

 -- Felix Exner <exner@fzi.de>  Tue, 10 Sep 2024 16:00:00 -0000

ros-jazzy-ur-robot-driver (2.4.9-1bookworm) bookworm; urgency=high

  * Added dynamics tag when using mock_components/GenericSystem (#1075 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1075>)
  * Updated the UR family photo on the readme (#1064 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1064>)
  * Fix passing launch_dashboard_client launch argument (#1057 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1057>)
  * [doc] Add more documentation regarding usage (#1055 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1055>)
  * Add doc to custom URScript commands that it needs to be in headless mode (#1051 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1051>)
  * Update reference to ros2_controllers test node (#1054 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1054>)
  * [doc] Update required polyscope version (#1052 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1052>)
  * Add migration notes for jazzy (#1045 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1045>)
  * Contributors: Felix Exner (fexner), Rune Søe-Knudsen

 -- Felix Exner <exner@fzi.de>  Thu, 08 Aug 2024 16:00:00 -0000

ros-jazzy-ur-robot-driver (2.4.8-1bookworm) bookworm; urgency=high

  * Add sleep between controller stopper's controller queries (#1038 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1038>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Sun, 30 Jun 2024 16:00:00 -0000

ros-jazzy-ur-robot-driver (2.4.7-1bookworm) bookworm; urgency=high

  * Fix launching without a tf_prefix specified (#1029 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1029>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Tue, 18 Jun 2024 16:00:00 -0000

ros-jazzy-ur-robot-driver (2.4.6-1bookworm) bookworm; urgency=high

  * Remove tf_prefix from ur_control.launch.py (#1020 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1020>)
  * Make moveit_config compatible to moveit_configs_builder (#998 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/998>)
  * Remove extra spaces from start_ursim statement in tests (#1010 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/1010>)
  * Replace keepalive count (#1002 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1002>)
  * Restructure documentation for full stack documentation (#984 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/984>)
  * Contributors: Felix Exner, Ruddick Lawrence, Vincenzo Di Pentima

 -- Felix Exner <exner@fzi.de>  Sun, 16 Jun 2024 16:00:00 -0000
