=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-jazzy-ur-robot-driver
 Section: misc
 Priority: optional
-Maintainer: Denis Stogl <denis@stoglrobotics.de>
+Maintainer: Felix Exner <exner@fzi.de>
 Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-python, ros-jazzy-backward-ros, ros-jazzy-controller-manager, ros-jazzy-controller-manager-msgs, ros-jazzy-geometry-msgs, ros-jazzy-hardware-interface, ros-jazzy-launch-testing-ament-cmake <!nocheck>, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-lifecycle, ros-jazzy-rclpy, ros-jazzy-std-msgs, ros-jazzy-std-srvs, ros-jazzy-tf2-geometry-msgs, ros-jazzy-ur-client-library, ros-jazzy-ur-controllers, ros-jazzy-ur-dashboard-msgs, ros-jazzy-ur-description, ros-jazzy-ur-msgs, ros-jazzy-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2
